compiz uses libstartup-notification which is available at
ftp://ftp.gnome.org/pub/GNOME/sources/startup-notification/

compiz uses out-of-tree builds with cmake, in order to generate the Makefiles for compiz use:

	$ mkdir build
	$ cd build
	$ cmake ..

If you have multiple versions of Python installed, you will need to specify the version like this:

	$ cmake .. \
	    -DPYTHON_INCLUDE_DIR=/usr/include/python2.7 \
	    -DPYTHON_LIBRARY=/usr/lib/libpython2.7.so

After that, standard build procedures apply:

	$ make
	# make install

In order to build other plugins, you will need to install the compiz cmake set

	# make findcompiz_install

